%global bename msgpack
%global pkgname anyconfig-%{bename}-backend

%global desctxt \
This is a backend module for python-anyconfig to load and dump MessagePack\
data.\
\
python-anyconfig is a python library to provide common APIs to load and dump\
various configuration files like INI, JSON and YAML.

Name:           python-%{pkgname}
Version:        0.2.0
Release:        1%{?dist}%{?dist}
Summary:        Backend module for python-anyconfig to load and dump MessagePack data
Group:          Development/Libraries
License:        MIT
URL:            https://github.com/ssato/python-anyconfig-msgpack-backend
Source0: %{pkgname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description %{desctxt}

%package     -n python3-%{pkgname}
Summary:        %{summary}
Requires:       python3-anyconfig
Requires:       python3-msgpack
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname} %{desctxt}

%prep
%autosetup   -n %{pkgname}-%{version}

%build
%py3_build

%install
%py3_install

%files       -n python3-%{pkgname}
%doc README.rst
%{python3_sitelib}/*

%changelog
* Wed May 19 2021 Satoru SATOH <satoru.satoh@gmail.com> - 0.2.0-1
- new upstream release

* Tue Oct  1 2019 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.0-1
- new upstream release

* Sat Feb 10 2018 Satoru SATOH <ssato@redhat.com> - 0.0.1-1
- Initial packaging
